#======== Profile ================
# main: 1 baseline: 0
# main still picture: 3 baseline still picture: 2
profile = 1

#======== Level ================
# (e.g. 51 = level_idc 5.1)
level = 51

#======== Coding Structure =============
max_num_ref_pics = 4
# BTT
btt = 1
cb_max = 7
cb_min = 2
cu14_max = 6
tris_max = 6
tris_min = 4

# SUCO 
suco = 1
suco_max = 6
suco_min = 4

#=========== Coding Tools =================
amvr = 1
mmvd = 1
affine = 1
dmvr = 1
alf = 1
admvp = 1
hmvp = 1
htdf = 1
eipd = 1
iqt = 1
cm_init = 1
cb_qp_offset = 0
cr_qp_offset = 0
use_dqp = 0
cu_qp_delta_area = 6
ibc = 1 
ats = 1
adcc = 1
addb = 1
constrained_intra_pred = 0
dbf = 1
rpl = 1
pocs = 1
toolset_idc_h = 2097151 #0x1FFFFF
toolset_idc_l = 0

# codec bit-depth
codec_bit_depth = 10

# output bit-depth
output_bit_depth = 10

# chroma format (0: 4:0:0, 1: 4:2:0)
chroma_format = 1

#=========== GOP Structure ================
#        Type POC temporal_id #ref_pics_active reference pictures
RPL0_0 =  B   1        0           4                1 2 3 4
RPL0_1 =  B   2        0           4                1 2 3 4
RPL0_2 =  B   3        0           4                1 2 3 4
RPL0_3 =  B   4        0           4                1 2 3 4
RPL0_4 =  B   5        0           4                1 2 3 4
RPL0_5 =  B   6        0           4                1 2 3 4
RPL0_6 =  B   7        0           4                1 2 3 4
RPL0_7 =  B   8        0           4                1 2 3 4
RPL0_8 =  B   1        0           1                1
RPL0_9 =  B   2        0           2                1 2
RPL0_10 = B   3        0           3                1 2 3
                                               
RPL1_0 =  B   1        0           4                1 2 3 4
RPL1_1 =  B   2        0           4                1 2 3 4
RPL1_2 =  B   3        0           4                1 2 3 4
RPL1_3 =  B   4        0           4                1 2 3 4
RPL1_4 =  B   5        0           4                1 2 3 4
RPL1_5 =  B   6        0           4                1 2 3 4
RPL1_6 =  B   7        0           4                1 2 3 4
RPL1_7 =  B   8        0           4                1 2 3 4
RPL1_8 =  B   1        0           1                1
RPL1_9 =  B   2        0           2                1 2
RPL1_10 = B   3        0           3                1 2 3

disable_hgop = 1
closed_gop = 1
#iperiod = 32

#=========== Tile Structure ================
tile_uniform_spacing = 1
num_tile_columns = 1
num_tile_rows = 1
tile_column_width_array = 0
tile_row_height_array = 0
lp_filter_across_tiles_en_flag = 0
num_slices_in_pic = 1
arbitrary_slice_flag = 0
num_remaining_tiles_in_slice = 0
tile_array_in_slice = 0

#=========== Picture Cropping ==============
picture_cropping_flag=0
picture_crop_left=0
picture_crop_right=0
picture_crop_top=0
picture_crop_bottom=0
